Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Retrieve a character

videos.get_character(character_id) -> VideoGetCharacterResponse { id, created_at, name }
GET
/videos/characters/{character_id}

Fetch a character.

Parameters
character_id: String
Returns
class VideoGetCharacterResponse { id, created_at, name }
id: String

Identifier for the character creation cameo.

created_at: Integer

Unix timestamp (in seconds) when the character was created.

formatunixtime
name: String

Display name for the character.

Retrieve a character

require "openai"

openai = OpenAI::Client.new(api_key: "My API Key")

response = openai.videos.get_character("char_123")

puts(response)
200 example
{
  "id": "id",
  "created_at": 0,
  "name": "name"
}
Returns Examples
200 example
{
  "id": "id",
  "created_at": 0,
  "name": "name"
}